Bug 819599 - add maven pom
add maven pom
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jnr-x86asm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 12:37 EDT by gil cattaneo
Modified: 2012-10-10 08:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-10 08:02:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add maven pom (3.36 KB, patch)
2012-05-07 12:37 EDT, gil cattaneo
no flags Details | Diff
add maven pom -rebase (2.78 KB, patch)
2012-10-09 13:55 EDT, gil cattaneo
no flags Details | Diff
add maven pom -rebase (3.46 KB, patch)
2012-10-09 14:23 EDT, gil cattaneo
no flags Details | Diff
add maven pom -rebase (2.48 KB, patch)
2012-10-10 07:49 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description gil cattaneo 2012-05-07 12:37:43 EDT
Created attachment 582710 [details]
add maven pom

Description of problem:
add maven pom

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 gil cattaneo 2012-10-09 13:55:29 EDT
Created attachment 624212 [details]
add maven pom -rebase
Comment 2 gil cattaneo 2012-10-09 14:23:46 EDT
Created attachment 624218 [details]
add maven pom -rebase
Comment 3 Mikolaj Izdebski 2012-10-10 01:43:44 EDT
Why do you change artifact version to 1.0.0? I mean this line:
> sed -i "s|<version>0.1</version>|<version>1.0.0</version>|" pom.xml

Also instead of %patch0 it would be better to write:
> %pom_xpath_remove pom:extensions
Comment 4 gil cattaneo 2012-10-10 07:41:52 EDT
(In reply to comment #3)
> Why do you change artifact version to 1.0.0? I mean this line:
> > sed -i "s|<version>0.1</version>|<version>1.0.0</version>|" pom.xml
> 
this should be removed

> Also instead of %patch0 it would be better to write:
> > %pom_xpath_remove pom:extensions
yes but i havent this macro available until a short time ago

thanks
Comment 5 gil cattaneo 2012-10-10 07:49:13 EDT
Created attachment 624807 [details]
add maven pom -rebase
Comment 6 Mikolaj Izdebski 2012-10-10 08:02:39 EDT
Applied in rawhide. Thanks.

Note You need to log in before you can comment on or make changes to this bug.